play.db

## Class Model.Property

- java.lang.Object
- - play.db.Model.Property

Enclosing interface:
  Model

    public static class Model.Property
    extends java.lang.Object

### Field Summary

Fields
`Model.Choices` `choices`
`java.lang.reflect.Field` `field`
`boolean` `isGenerated`
`boolean` `isMultiple`
`boolean` `isRelation`
`boolean` `isSearchable`
`java.lang.String` `name`
`java.lang.Class<?>` `relationType`
`java.lang.Class<?>` `type`

### Constructor Summary

Constructors
Constructor and Description
`Property()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### type

    public java.lang.Class<?> type

#### field

    public java.lang.reflect.Field field

#### isSearchable

    public boolean isSearchable

#### isMultiple

    public boolean isMultiple

#### isRelation

    public boolean isRelation

#### isGenerated

    public boolean isGenerated

#### relationType

    public java.lang.Class<?> relationType

#### choices

    public Model.Choices choices

### Constructor Detail

#### Property

    public Property()